﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Chart_GettingStarted
{
	public partial class MainPage : ContentPage
	{        
        public MainPage()
		{
			InitializeComponent();
        }

        private void CategoryAxis_LabelCreated(object sender, ChartAxisLabelEventArgs e)
        {
            if (e.Position == 0 || e.Position == 8)
            {
                e.LabelStyle = new ChartAxisLabelStyle();
                e.LabelStyle.FontSize = 0.01f;
            }
        }
    }

    public class ViewModel
    {
        public ObservableCollection<Person> Data { get; set; }
        public ViewModel()
        {
            Data = new ObservableCollection<Person>()
            {
                new Person("David", 180),
                new Person("Micheal", 170),
                new Person("Steve", 160),
                new Person("Joel", 182),
                new Person("John", 170),
                new Person("Loel", 160),
                new Person("Roe", 182),
                new Person("Madhan", 180),
                new Person("karthi", 170)
            };
        }
    }

    public class Person
    {
        public string Name { get; set; }

        public double Height { get; set; }

        public Person(string name, double height)
        {
            this.Name = name;
            this.Height = height;
        }
    }
}
